import '../models/extra_payment_model.dart';
import '../repositories/attendance_repository.dart';

class GetRewardsUseCase {
  final AttendanceRepository repository;

  GetRewardsUseCase({required this.repository});

  Future<List<ExtraPaymentModel>> execute({required String employeeId}) async {
    return await repository.getRewards(employeeId: employeeId);
  }
}
